Loading...
Searching...
No Matches
globus_url_t Struct Reference
Globus Common API » URL String Parser

Parsed URLs. More...

`#include <globus_url.h>`

## Data Fields

char * | scheme
globus_url_scheme_t | scheme_type
char * | user
char * | password
char * | host
unsigned short | port
char * | url_path
char * | dn
char * | attributes
char * | scope
char * | filter
char * | url_specific_part

## Detailed Description

Parsed URLs.

This structure contains the fields which were parsed from an string representation of an URL. There are no methods to access fields of this structure.

## Field Documentation

## attributes

char* globus_url_t::attributes

The list of attributes which should be returned from an LDAP search. [ldap]

## dn

char* globus_url_t::dn

The distinguished name for the base of an LDAP search. [ldap]

## filter

char* globus_url_t::filter

The filter to be applied to an LDAP search [ldap]

## host

char* globus_url_t::host

The host name or IP address of the URL. [ftp, gsiftp, http, https, ldap, x-nexus

## password

char* globus_url_t::password

The user's password from the URL. [ftp, gsiftp]

## port

unsigned short globus_url_t::port

The TCP port number of the service providing the URL [ftp, gsiftp, http, https, ldap, x-nexus]

## scheme

char* globus_url_t::scheme

A string containing the URL's scheme (http, ftp, etc)

## scheme_type

globus_url_scheme_t globus_url_t::scheme_type

An enumerated scheme type. This is derived from the scheme string

## scope

char* globus_url_t::scope

The scope of an LDAP search. [ldap]

## url_path

char* globus_url_t::url_path

The path name of the resource on the service providing the URL. [ftp, gsiftp, http, https]

## url_specific_part

char* globus_url_t::url_specific_part

An unparsed string containing the remaining text after the optional host and port of an unknown URL, or the contents of a x-gass-cache URL [x-gass-cache, unknown]

## user

char* globus_url_t::user

The username portion of the URL. [ftp, gsiftp]

The documentation for this struct was generated from the following file:

- globus_url.h